Requirements for using the editing system

The browser you are currently using is not supported by the editing system. Please read the information below to find out how to update your browser to the latest version.

The editing system runs in your web browser. Most common browsers are supported.

Chrome

Chrome automatically updates when a new version is released, or you can check for updates manually. The editing system always supports the latest version, but is not tested in older versions.

Firefox

Firefox automatically updates when a new version is released, or you can check for updates manually. The editing system always supports the latest version, but is not tested in older versions.

Internet Explorer and Microsoft Edge

If Windows Update is enabled, Internet Explorer and Microsoft Edge automatically update when a new version is released. The editing system always supports the latest versions, but is not tested in older versions.

If you are using Windows XP, you will not be able to upgrade beyond version 8 and will need to use another browser to access the editing system. Please note that Microsoft ended support for Windows XP in April 2014, and by continuing to use Windows XP you are exposing yourself to security threats.

Safari

If Software Update is enabled, Safari automatically updates when a new version is released. The editing system always supports the latest version, but is not tested in older versions.